# SPDX-License-Identifier: GPL-2.0-only OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/sound/asahi-kasei,ak5558.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: AK5558 8 channel differential 32-bit delta-sigma ADC

maintainers:
  - Junichi Wakasugi <wakasugi.jb@om.asahi-kasei.co.jp>
  - Mihai Serban <mihai.serban@nxp.com>

properties:
  compatible:
    enum:
      - asahi-kasei,ak5552
      - asahi-kasei,ak5558

  reg:
    maxItems: 1

  AVDD-supply:
    description: A 1.8V supply that powers up the AVDD pin.

  DVDD-supply:
    description: A 1.2V supply that powers up the DVDD pin.

  reset-gpios:
    maxItems: 1

required:
  - compatible
  - reg

allOf:
  - $ref: dai-common.yaml#

unevaluatedProperties: false

examples:
  - |
    #include <dt-bindings/gpio/gpio.h>
    i2c {
        #address-cells = <1>;
        #size-cells = <0>;
        ak5558: codec@10 {
            compatible = "asahi-kasei,ak5558";
            reg = <0x10>;
            reset-gpios = <&gpio1 10 GPIO_ACTIVE_LOW>;
        };
    };
